from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name='admin_home'),
    path('create_admin/', views.create_admin, name='create_admin'),
    path('admin-login/', views.login, name='admin-login'),  # URL for login
    path('admin/dashboard/<str:admin_id>/', views.admin_dashboard, name='dashboard'),
    path('admin_logout/', views.logout_view, name='admin_logout'),
    # path('client_details/', views.client_details, name='client_details'),
    # path('save-details/', views.save_details, name='save_details'),
    # path('save-details-subcompany/', views.save_details_subcompany, name='save-details-subcompany'),
    # path('api/get_subcompanies/', views.get_locations, name='get_subcompanies'),
    # path('get_subcompany_details/', views.get_combined_details, name='get_subcompany_details'),
    path('client-details/', views.client_details, name='client-details'),
    path('add_subclient/', views.add_subclient, name='add_subclient'),
    path('add_client/', views.add_client, name='add_client'),
    path('existing_client/', views.existing_client, name='existing_client'),
    path('get_contacts/', views.get_contacts, name='get_contacts'),
    path('save-details/', views.save_details, name='save_details'),
    path('save-details-subcompany/', views.save_details_subcompany, name='save-details-subcompany'),
    path('api/get_subcompanies/', views.get_locations, name='get_subcompanies'),
    path('get_subcompany_details/', views.get_combined_details, name='get_subcompany_details'),

]
